#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: Crypto
version: 4.2.5.1
id: Crypto-4.2.5.1-71744e7651a9df98b016c9bdf47c97d5
key: Crypt_DI20CqNUCRO1lzrUqMLhtW
license: OtherLicense
copyright: Dominic Steinitz 2003 - 2007
maintainer: Caylee Hogg <caylee.hogg@gmail.com>
stability: Alpha
synopsis: Collects together existing Haskell cryptographic functions into a package
description:
    DES, Blowfish, AES, TEA, SHA1, MD5, RSA, BubbleBabble,
    Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5
    Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package,
    with HUnit and QuickCheck tests, and examples.
category: Cryptography, Codec
author: Dominic Steinitz
exposed: True
exposed-modules:
    Codec.Binary.BubbleBabble Codec.Encryption.RSA
    Codec.Encryption.RSA.EMEOAEP Codec.Encryption.RSA.MGF
    Codec.Encryption.RSA.NumberTheory Codec.Encryption.DES
    Codec.Encryption.AES Codec.Encryption.TEA Codec.Encryption.Blowfish
    Codec.Encryption.Modes Codec.Encryption.Padding Codec.Text.Raw
    Codec.Utils Data.Digest.MD5 Data.Digest.SHA1 Data.Digest.SHA2
    Data.Digest.SHA224 Data.Digest.SHA256 Data.Digest.SHA384
    Data.Digest.SHA512 Data.LargeWord Data.HMAC
hidden-modules: Codec.Encryption.BlowfishAux
                Codec.Encryption.DESAux Codec.Encryption.AESAux Data.Digest.MD5Aux
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/Crypto-4.2.5.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/Crypto-4.2.5.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/Crypto-4.2.5.1
hs-libraries: HSCrypto-4.2.5.1-DI20CqNUCRO1lzrUqMLhtW
include-dirs: /usr/local/include
depends:
    HUnit-1.2.5.2-b328c0be4a840160a5bae7f7ff8d2f8f
    QuickCheck-2.8.1-d2f1c7715734989efc1da1e71f3c72de
    array-0.5.1.0-aabf9daaf6d89a89ffdaf632a0eb259e
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    pretty-1.1.2.0-1fb5e112c0b0974fa63ea171ac3c34f6
    random-1.1-859a5366f9cc240228128d890d4923be
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/Crypto-4.2.5.1/html/Crypto.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/Crypto-4.2.5.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
